OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
MoniTool

# MoniTool_DataMapNodeOfDataMapOfTimer Class Reference

`#include <MoniTool_DataMapNodeOfDataMapOfTimer.hxx>`

## Public Member Functions
| MoniTool_DataMapNodeOfDataMapOfTimer (const Standard_CString &K, const Handle(MoniTool_Timer)&I, const TCollection_MapNodePtr &n)
Standard_CString & | Key () const
Handle_MoniTool_Timer & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_CString | myKey
Handle_MoniTool_Timer | myValue

## Constructor & Destructor Documentation

MoniTool_DataMapNodeOfDataMapOfTimer::MoniTool_DataMapNodeOfDataMapOfTimer | ( | const Standard_CString & | K,
|  | const Handle(MoniTool_Timer)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const MoniTool_DataMapNodeOfDataMapOfTimer::Handle | ( | Standard_Type |  | ) | const

Standard_CString& MoniTool_DataMapNodeOfDataMapOfTimer::Key | ( |  | ) | const

Handle_MoniTool_Timer& MoniTool_DataMapNodeOfDataMapOfTimer::Value | ( |  | ) | const

## Field Documentation

Standard_CString MoniTool_DataMapNodeOfDataMapOfTimer::myKey`[private]`

Handle_MoniTool_Timer MoniTool_DataMapNodeOfDataMapOfTimer::myValue`[private]`

The documentation for this class was generated from the following file:

- MoniTool_DataMapNodeOfDataMapOfTimer.hxx